package com.eitc.patient.controller;

import com.eitc.common.core.controller.BaseController;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.patient.domain.AppUser;
import com.eitc.patient.service.IAppUserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * ApiController
 *
 * @author mtx
 * @date: 2024/06/20 8:37
 */
@Api(tags = "api接口")
@RestController
@RequestMapping("/app/api")
public class ApiAppController extends BaseController {

    @Resource
    private IAppUserService appUserService;

    /**
     * APP切换诊所时同步数据
     *
     * @param beforeAppUser 前一次登录用户信息
     * @return 返回结果
     * @author mtx
     * @date: 2024/6/18 14:27
     */
    @GetMapping("/synchronizeData")
    @ApiOperation("APP切换诊所时同步数据")
    public AjaxResult synchronizeData(AppUser beforeAppUser) {
        return appUserService.synchronizeData(beforeAppUser);
    }
}
