package com.eitc.patient.controller;

import com.eitc.common.core.controller.BaseController;
import com.eitc.common.core.domain.AjaxResult;
import com.eitc.patient.service.IDoctorService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * DoctorController
 *
 * @author mtx
 * @date: 2024/06/13 14:53
 */
@Api(tags = "app医生")
@RestController
@RequestMapping("/app/doctor")
public class AppDoctorController extends BaseController {

    @Resource
    private IDoctorService doctorService;

    @GetMapping("/list")
    @ApiOperation("出诊医生列表")
    public AjaxResult list() {
        return success(doctorService.list());
    }


}
