package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.MedicalRecordDetails;
import com.eitc.patient.vo.MedicalRecordDetailsVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * MedicalRecordDetailsService
 *
 * @author mtx
 * @date: 2024/05/17 15:37
 */
@Service
public interface IMedicalRecordDetailsService extends IService<MedicalRecordDetails> {

    /**
     * 通过病历id获取病历详情vo
     * @param medicalRecordId 病历id
     * @return 病历详情vo
     * @author mtx
     * @date: 2024/6/5 9:10
     */
    List<MedicalRecordDetailsVO> findMedicalRecordDetailsVOByMedicalRecordId(String medicalRecordId);
}
