package com.eitc.patient.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.eitc.patient.domain.Patient;
import com.eitc.patient.vo.PatientVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * PatientService
 *
 * @author mtx
 * @date: 2024/05/17 15:37
 */
@Service
public interface IPatientService extends IService<Patient> {

    /**
     * 添加患者
     *
     * @param vo 参数
     * @author mtx
     * @date: 2024/5/22 9:12
     */
    Patient addOrEdit(PatientVO vo);

    /**
     * 删除患者
     *
     * @param ids ids
     * @return 状态
     * @author mtx
     * @date: 2024/5/22 9:40
     */
    boolean delete(List<String> ids);

}
