package com.eitc.patient.utils;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.eitc.common.core.domain.entity.SysDictData;
import com.eitc.common.utils.spring.SpringUtils;
import com.eitc.patient.constant.PatientConstant;
import com.eitc.system.service.ISysDictDataService;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * PatientUtil
 *
 * @author mtx
 * @date: 2024/06/18 17:32
 */
@Component
public class PatientUtil {
    public static ISysDictDataService sysDictDataService = SpringUtils.getBean(ISysDictDataService.class);


    public static List<String> diagnosisTypeTemplateKeyList() {
        List<SysDictData> sysDictData = sysDictDataService.selectDictDataByType(PatientConstant.DICT_KEY_DIAGNOSIS_TYPE_TEMPLATE_NAME);
        if(CollectionUtils.isEmpty(sysDictData)){
            return new ArrayList<>();
        }
        return sysDictData.stream().map(SysDictData::getDictLabel).collect(Collectors.toList());
    }
}
